CREATE TABLE cmp_cwb_process_logs (
    LOG_ID                   NUMBER(18, 0) ,
    LOG_TYPE                 VARCHAR2(120)     NOT NULL,
    PROCESS_NAME             VARCHAR2(320) ,
    PLAN_ID                  NUMBER(18, 0) ,
    PERIOD_ID                NUMBER(18, 0) ,
    ASSIGNMENT_ID            NUMBER(18, 0) ,
    PERSON_ID                NUMBER(18, 0) ,
    PERSON_EVENT_ID          NUMBER(18, 0) ,
    RULE_ID                  NUMBER(18, 0) ,
    REQUEST_ID               NUMBER(18, 0) ,
    LOG_MESSAGE              VARCHAR2(4000),
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    LOG_ID                   NUMBER(18, 0) ,
    LOG_TYPE                 VARCHAR2(120)     NOT NULL,
    PROCESS_NAME             VARCHAR2(320) ,
    PLAN_ID                  NUMBER(18, 0) ,
    PERIOD_ID                NUMBER(18, 0) ,
    ASSIGNMENT_ID            NUMBER(18, 0) ,
    PERSON_ID                NUMBER(18, 0) ,
    PERSON_EVENT_ID          NUMBER(18, 0) ,
    RULE_ID                  NUMBER(18, 0) ,
    REQUEST_ID               NUMBER(18, 0) ,
    LOG_MESSAGE              VARCHAR2(4000),
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CONSTRAINT pk_cmp_cwb_process_logs PRIMARY KEY (LOG_ID, LOG_ID)
);
